Version: 9.12.0
Sketcher_Utils Class Reference

This class represents a set of utils needed to compute sketcher geometry.

#include <Sketcher_Utils.hxx>

Static Public Member Functions

static TopoDS_Shape MakePolyline (const std::list< double > &theCoords2D, const Standard_Boolean IsClosed, const gp_Ax3 &thePlane)
 This method makes a shape from the list of 2D coordinates on the working plane. More...
 
static TopoDS_Shape MakeInterpolation (const std::list< double > &theCoords2D, const Standard_Boolean IsClosed, const gp_Ax3 &thePlane)
 This method makes a shape from the list of 2D coordinates on the working plane. More...
 
static void To3D (const std::list< double > &theCoords2D, const gp_Ax3 &thePlane, std::list< gp_Pnt > &thePoints)
 This method converts the list of 2D point coordinates into 3D points basing on the working plane. More...
 

Member Function Documentation

◆ MakeInterpolation()

TopoDS_Shape Sketcher_Utils::MakeInterpolation ( const std::list< double > &  theCoords2D,
const Standard_Boolean  IsClosed,
const gp_Ax3 &  thePlane 
)
static

The result represents a vertex if there is only one point in the contour. If there are more then one points the result is a wire consisting of a points interpolation BSpline curve. It is either closed or not depending on the flag IsClosed. In case of failure the result is a null shape.

Parameters
theCoords2Dis the list of coordinates in the form x1, y1, x2, y2, ..., xN, yN for N 2D points.
IsClosedif Standard_True the first and last points are connected to form the closed contour.
thePlanethe working plane coordinate system.
Returns
the result interpolation wire.

References constructBSpline(), Handle(), POINT_CONFUSION_TOLERANCE, and To3D().

◆ MakePolyline()

TopoDS_Shape Sketcher_Utils::MakePolyline ( const std::list< double > &  theCoords2D,
const Standard_Boolean  IsClosed,
const gp_Ax3 &  thePlane 
)
static

The result represents a vertex if there is only one point in the contour. If there are more then one points the result is a wire consisting of linear segments between points. It is either closed or not depending on the flag IsClosed. In case of failure the result is a null shape.

Parameters
theCoords2Dis the list of coordinates in the form x1, y1, x2, y2, ..., xN, yN for N 2D points.
IsClosedif Standard_True the first and last points are connected to form the closed contour.
thePlanethe working plane coordinate system.
Returns
the result polyline.

References aResult, POINT_CONFUSION_TOLERANCE, and To3D().

◆ To3D()

void Sketcher_Utils::To3D ( const std::list< double > &  theCoords2D,
const gp_Ax3 &  thePlane,
std::list< gp_Pnt > &  thePoints 
)
static

The result list contains not confused points.

Parameters
theCoords2Dis the list of coordinates in the form x1, y1, x2, y2, ..., xN, yN for N 2D points.
thePlanethe working plane coordinate system.
thePointsthe list of 3D points.

References POINT_CONFUSION_TOLERANCE.


The documentation for this class was generated from the following files: